Package Gnumed :: Package timelinelib :: Package db :: Package objects :: Module event :: Class Event |
[frames] | no frames]

# Class Event

source code

    object --+
             |
            Event

Instance Methods
__init__(self, time_type, start_time, end_time, text, category=None, fuzzy=False, locked=False, ends_today=False) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
has_id(self) | source code
set_id(self, id) | source code
update(self, start_time, end_time, text, category=None, fuzzy=None, locked=None, ends_today=None) Change the event data. | source code
update_period(self, start_time, end_time) Change the event period. | source code
update_period_o(self, new_period) | source code
update_start(self, start_time) Change the event data. | source code
update_end(self, end_time) Change the event data. | source code
inside_period(self, time_period) Wrapper for time period method. | source code
is_period(self) Wrapper for time period method. | source code
mean_time(self) Wrapper for time period method. | source code
get_data(self, id) Return data with the given id or None if no data with that id exists. | source code
set_data(self, id, data) Set data with the given id. | source code
has_data(self) Return True if the event has associated data, or False if not. | source code
get_label(self) Returns a unicode label describing the event. | source code
clone(self) | source code
is_container(self) | source code
is_subevent(self) | source code
time_span(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, time_type, start_time, end_time, text, category=None, fuzzy=False, locked=False, ends_today=False) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### get_data(self, id) | source code
Return data with the given id or None if no data with that id exists. See set_data for information how ids map to data.

### set_data(self, id, data) | source code
    Set data with the given id.

    Here is how ids map to data:

        description - string
        icon - wx.Bitmap